POST/payments/requests/{id}/automatic-pix/schedule

Schedule Automatic PIX payment

Schedules an Automatic PIX payment

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Request Body

required
object

Request to schedule an Automatic PIX payment

amountrequirednumber

Transaction value

descriptionstring

Transaction description

daterequiredstring (date)

The payment date, which must fall between D+2 and D+10. Date format must be YYYY-MM-DD (for example: 2025-06-16)

clientPaymentIdstring

External identifier for the payment

recipientIdstring (uuid)

Payment recipient identifier. It should be sent if you want to use a different recipient from the one consented in the payment request (it must have the same tax number as the consented recipient).

Example

json
{
  "amount": 0,
  "description": "string",
  "date": "2024-01-01",
  "clientPaymentId": "string",
  "recipientId": "550e8400-e29b-41d4-a716-446655440000"
}

Responses

200Schedule a Automatic PIX payment.
object

Automatic PIX payment

idrequiredstring

Payment primary identifier

statusrequiredstring

Status of an individual recurring PIX payment. - `SCHEDULED`: the payment has been scheduled at the institution. - `CREATED`: the payment is created and pending execution. - `COMPLETED`: the payment was confirmed. - `CANCELED`: the payment was canceled. - `ERROR`: the payment failed (see `errorDetail`).

SCHEDULEDCREATEDCOMPLETEDCANCELEDERROR
amountrequirednumber

Payment amount

descriptionstring

Payment description

daterequiredstring (date)

Payment scheduled date

endToEndIdstring | null

Payment end to end identifier

errorDetailobject | null
Any of:
option 1object

Details about an error that occurred with the automatic PIX payment

option 2null | null
clientPaymentIdstring

External identifier for the payment

recipientIdrequiredstring (uuid)

Payment recipient identifier

isFirstPaymentboolean

Indicates if this is the first payment

attemptsobject[]
itemsobject

Payment attempt. It represents an attempt to complete this payment. Useful for tracking the payment history.

Example response

json
{
  "id": "string",
  "status": "SCHEDULED",
  "amount": 0,
  "description": "string",
  "date": "2024-01-01",
  "endToEndId": "string",
  "errorDetail": {
    "code": "SALDO_INSUFICIENTE",
    "detail": "string"
  },
  "clientPaymentId": "string",
  "recipientId": "550e8400-e29b-41d4-a716-446655440000",
  "isFirstPayment": true,
  "attempts": [
    {
      "id": "string",
      "status": "IN_PROGRESS",
      "endToEndId": "string",
      "date": "2024-01-01",
      "errorDetail": {
        "code": "SALDO_INSUFICIENTE",
        "detail": "string"
      }
    }
  ]
}

Code Examples

bash
curl -X POST 'https://api.pluggy.ai/payments/requests/{id}/automatic-pix/schedule' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It

Path Parameters